librime: rime::KeyBinder Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::KeyBinder Class Reference

`#include <key_binder.h>`

Inheritance diagram for rime::KeyBinder:
[legend]
Collaboration diagram for rime::KeyBinder:
[legend]

## Public Member Functions
| KeyBinder (const Ticket &ticket)
virtual ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const

## Protected Member Functions
void | LoadConfig ()
bool | ReinterpretPagingKey (const KeyEvent &key_event)
void | PerformKeyBinding (const KeyBinding &binding)

## Protected Attributes
the< KeyBindings > | key_bindings_
bool | redirecting_
int | last_key_
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ KeyBinder()

rime::KeyBinder::KeyBinder | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ LoadConfig()

void rime::KeyBinder::LoadConfig | ( |  | ) |
| protected

## ◆ PerformKeyBinding()

void rime::KeyBinder::PerformKeyBinding | ( | const KeyBinding & | binding | ) |
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::KeyBinder::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## ◆ ReinterpretPagingKey()

bool rime::KeyBinder::ReinterpretPagingKey | ( | const KeyEvent & | key_event | ) |
| protected

## Member Data Documentation

## ◆ key_bindings_

the<KeyBindings> rime::KeyBinder::key_bindings_
| protected

## ◆ last_key_

int rime::KeyBinder::last_key_
| protected

## ◆ redirecting_

bool rime::KeyBinder::redirecting_
| protected

The documentation for this class was generated from the following files:

- key_binder.h
- key_binder.cc